Bug 1029271 - Format specific information (create type) was wrong when create it specified subformat='streamOptimized'
Format specific information (create type) was wrong when create it specified ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 22:03 EST by Sibiao Luo
Modified: 2015-03-05 03:02 EST (History)
10 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-67.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 03:02:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sibiao Luo 2013-11-11 22:03:12 EST
Description of problem:
Tried to create a vmdk image specified subformat='streamOptimized', but format specific information (create type) was wrong when use qemu-img to read it.
BTW, tried other different vmdk create type that did not meet such issue.

Version-Release number of selected component (if applicable):
host info:
# uname -r && rpm -q qemu-kvm
3.10.0-48.el7.x86_64
qemu-kvm-1.5.3-19.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.tried to create a vmdk image specified subformat='streamOptimized'.
# qemu-img create -f vmdk VMDK-data-disk.vmdk -o subformat=streamOptimized 2G
Formatting 'VMDK-data-disk.vmdk', fmt=vmdk size=2147483648 compat6=off subformat='streamOptimized' zeroed_grain=off 
2.use qemu-img to read it.
# qemu-img info VMDK-data-disk.vmdk 
image: VMDK-data-disk.vmdk
file format: vmdk
virtual size: 2.0G (2147483648 bytes)
disk size: 12K
Format specific information:
    cid: 1384223178
    parent cid: 4294967295
    create type: monolithicSparse     <----------------here wrong
    extents:
        [0]:
            compressed: true
            virtual size: 2147483648
            filename: VMDK-data-disk.vmdk
            cluster size: 65536
            format: 

Actual results:


Expected results:
the create type should be 'streamOptimized' as specified when created it.

Additional info:
Comment 1 Fam Zheng 2014-01-23 02:13:33 EST
Posted the fix to upstream:

[PATCH] vmdk: Fix format specific information (create type) for streamOptimized
Comment 4 Jeff Nelson 2014-08-08 12:55:01 EDT
Fix included in qemu-kvm-1.5.3-67.el7
Comment 6 Sibiao Luo 2014-08-28 03:42:25 EDT
verify this issue.

host info:
# uname -r && rpm -q qemu-kvm
3.10.0-145.el7.x86_64
qemu-kvm-1.5.3-67.el7.x86_64

[root@dhcp-11-154 home]# qemu-img create -f vmdk VMDK-data-disk.vmdk -o subformat=streamOptimized 2G
Formatting 'VMDK-data-disk.vmdk', fmt=vmdk size=2147483648 compat6=off subformat='streamOptimized' zeroed_grain=off 
[root@dhcp-11-154 home]# qemu-img info VMDK-data-disk.vmdk
image: VMDK-data-disk.vmdk
file format: vmdk
virtual size: 2.0G (2147483648 bytes)
disk size: 12K
Format specific information:
    cid: 1409211551
    parent cid: 4294967295
    create type: streamOptimized
    extents:
        [0]:
            compressed: true
            virtual size: 2147483648
            filename: VMDK-data-disk.vmdk
            cluster size: 65536
            format: 

Base on above, this issue has been fixed correctly, move to VERIFIED status.

Best Regards,
sluo
Comment 7 Sibiao Luo 2014-09-01 04:10:46 EDT
Comment #6 was on Intel host.

Now i tried the qemu-kvm-rhev on AMD host.
host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-147.el7.x86_64
qemu-kvm-rhev-2.1.0-2.el7.x86_64

Results:
# qemu-img create -f vmdk VMDK-data-disk.vmdk -o subformat=streamOptimized 2G
Formatting 'VMDK-data-disk.vmdk', fmt=vmdk size=2147483648 compat6=off subformat='streamOptimized' 
# qemu-img info VMDK-data-disk.vmdk
image: VMDK-data-disk.vmdk
file format: vmdk
virtual size: 2.0G (2147483648 bytes)
disk size: 12K
cluster_size: 65536
Format specific information:
    cid: 1409558382
    parent cid: 4294967295
    create type: streamOptimized
    extents:
        [0]:
            compressed: true
            virtual size: 2147483648
            filename: VMDK-data-disk.vmdk
            cluster size: 65536
            format: 

Best Regards,
sluo
Comment 8 Sibiao Luo 2014-09-01 04:11:24 EDT
According to comment #6 and comment #7, this issue has been fixed correctly, move to VERIFIED status.

Best Regards,
sluo
Comment 10 errata-xmlrpc 2015-03-05 03:02:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html

Note You need to log in before you can comment on or make changes to this bug.